[Lunar-commits] <moonbase> makeobj: This file originates from kdesdk and assists with figureing out
Dennis `stumbles` Veatch
stumbles at lunar-linux.org
Sun May 15 13:24:58 CEST 2011
commit cfa80e005e4194f4ca834a03f1dc2871e3ca3447
Author: Dennis `stumbles` Veatch <stumbles at lunar-linux.org>
Date: Sun May 15 07:24:58 2011 -0400
makeobj: This file originates from kdesdk and assists with figureing out
if a build is in a scrdir or buildir. I took a diff between our crusty version
and the latest from kdesdk with these results;
--- /var/spool/lunar/makeobj 2011-05-02 12:37:47.887001489 -0400
+++ /usr/bin/makeobj 2011-01-19 17:07:51.000000000 -0500
@@ -38,11 +38,23 @@
esac
done
-if test "$dir" = "." && test ! -f CMakeLists.txt && test -f ../CMakeLists.txt; then
- cd ..
-fi
+cd "$dir"
+dir=.
+cwd=$PWD
+# No CMakeList and no Makefile (and no .pro file either)? Maybe we need to go up then.
+while test ! -f CMakeLists.txt && test ! -f Makefile; do
+ if test "`ls -1 *.pro 2>/dev/null`" && test -n "`ls -1 ../*.pro 2>/dev/null`"; then
+ break;
+ fi
+ dir="$dir/`basename $PWD`"
+ cd ..
+ if test "$PWD" = "/"; then
+ cd "$cwd"
+ break
+ fi
+done
-if test ! -f $dir/$file; then
+if test ! -f $file; then
if test -n "$OBJ_SUBDIR"; then
dir=$PWD
subdir=.
@@ -60,21 +72,18 @@
else
if test -n "$OBJ_REPLACEMENT"; then
pwd=`echo $PWD | sed -e "$OBJ_REPLACEMENT"`
- if test ! -f $pwd/$dir/$file; then
+ if test ! -f $pwd/$file; then
# No objdir found. But if "make" will work in srcdir, then go ahead; might be a non-kde project.
- test -f $dir/GNUmakefile && file=GNUmakefile
- test -f $dir/makefile && file=makefile
- test -f $dir/$file || file=""
- if test -z "$file"; then
+ test -f $pwd/GNUmakefile && file=GNUmakefile
+ test -f $pwd/makefile && file=makefile
+ if ! test -f "$pwd/$file"; then
echo "no objdir found. Tried $pwd"
exit 1
fi
fi
- cd $pwd/$dir
+ cd $pwd
fi
fi
-else
- cd $dir
fi
echo "makeobj[0]: Entering directory \`$PWD'"
@@ -97,7 +106,7 @@
MAKE=/usr/bin/make
fi
fi
-LANGUAGE=C $MAKE "${args[@]}"
+LANG=C $MAKE "${args[@]}"
retval=$?
echo "makeobj[0]: Leaving directory \`$PWD'"
exit $retval
So I am updating this module with the current incarnation from kdesdk-4.6.3. It
seems odd much of kde depends on a script provided by a kde meta module that you
cannot build without the things like kdelibs, etc. Hm.
---
kde4/base/makeobj/DETAILS | 11 +++++++----
1 files changed, 7 insertions(+), 4 deletions(-)
diff --git a/kde4/base/makeobj/DETAILS b/kde4/base/makeobj/DETAILS
index 154b681..b067ab9 100644
--- a/kde4/base/makeobj/DETAILS
+++ b/kde4/base/makeobj/DETAILS
@@ -1,14 +1,17 @@
MODULE=makeobj
- VERSION=4.0.0
+ VERSION=4.6.3
SOURCE=$MODULE
SOURCE_URL=$MIRROR_URL
SOURCE_DIRECTORY=$BUILD_DIRECTORY/$MODULE-$VERSION
- SOURCE_VFY=sha1:7df3cc38389c02d4497480b7322c4226bbd7d680
+ SOURCE_VFY=sha1:c97fef9500f752f822bb326e2c4db1916e531ad1
WEB_SITE=http://www.kde.org
MODULE_PREFIX=${KDE4_PREFIX:-/usr}
ENTERED=20071026
- UPDATED=20080201
- SHORT=""
+ UPDATED=20110515
+ SHORT="checks its in the correct directory to call make"
cat << EOF
+Script around make which basicly checks if it's in srcdir
+or in builddir and changes to the right directory for
+calling /usr/bin/make.
EOF
More information about the Lunar-commits
mailing list